
QGIS Application - Bug report #17425

Complex forms: in the sidebar of embedded forms records display as if they were edited

2017-11-08 07:43 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25322

Description

Editing is not active in my case. I click on a feature with the identify tool and the form opens.

It is a complex form with relations and embedded forms. Some records in the side bars of embedded forms appear in red and italic, as if

they were edited - which of course can't be if the edit state is on off.

I'll attach a screenshot.

All data is in Postgis.

Matthias has our project and database for testing.

Associated revisions

Revision 61b2f74a - 2017-11-09 02:18 AM - Matthias Kuhn 

Do not assume edit widget value changes on every signal

Widgets may on initialisation send out a notification that the value changed (from invalid to something sensible).

The attribute form should however only tell the rest of the world, that a value changed if the new value doesn't

correspond to the one in the cached QgsFeature.

Fix #17425

History

#1 - 2017-11-09 02:17 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|61b2f74aae077d07e14b8d9619a4fa7f91514e5f.
